Bug 146637 - -o option always fails unless target file exists
Summary: -o option always fails unless target file exists
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-31 09:23 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 0.3.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 17:47:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ulrich Drepper 2005-01-31 09:23:20 UTC
Description of problem:
Use the -o option to specify the output file of an undo operation make prelink
always fail since no security context can be retrieved.  Creating even an empty
file with the name provided as the -o parameter cures the problem.  The bug is
that the retrieval of the context is unnecessary.

Version-Release number of selected component (if applicable):
prelink-0.3.3-1

How reproducible:
always

Steps to Reproduce:
1.creat binary foo
2.run 'prelink foo'
3.rm -f foo-undo
4.run -u -o foo-undo foo
  
Actual results:
prelink: Could not get security context for foo-undo: No such file or directory

Expected results:
Undone prelinking, no message

Additional info:


Note You need to log in before you can comment on or make changes to this bug.